# 32/64 spec
#
%define name 	obconf
%define version 2.0.4
%define release 3

Summary:	Openbox preferences manager
Summary(de):	Openbox-Einstellungsmanager
Name:    	%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
Source0: 	%{name}-%{version}.tar.xz
Patch1:		01_fix_freedesktop_compliance.patch
Patch2:		02_show_specific_tab.dpatch
License: 	GPL
Group:   	Graphical desktop/Openbox
URL:     	http://icculus.org/openbox/obconf/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	openbox
BuildRequires: 	startup-notification-devel
BuildRequires:	%{_lib}openbox2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libglade2.0-devel 
Obsoletes:  	%name < %version

%description
ObConf is a graphical configuration tool for the Openbox window manager.

#german
%description -l de
Obconf ist ein grafisches Werkzeug für den Openbox Window-Manager.

%package i10n
Summary: 	Translations for obconf
Group: 		Graphical desktop/Openbox
Requires: 	%{name}

%description i10n
Translations for obconf

%prep
%setup -qn %{name}-%{version}
%patch1 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%configure2_5x --prefix=/usr --disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Configuration-Other" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING TODO
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/mime/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mimelnk/*
%{_datadir}/%{name}/*

%files i10n
%defattr(-,root,root)
%{_datadir}/locale/*

%changelog
* Fri Jan 29 2016 bb <bb> 2.0.4-3pclos2016
- rebuild against updated openbox

* Thu Jun 04 2015 ghostbunny <ghostbunny at gmx dot de> 2.0.4-2pclos2015
- rebuild against new openbox version
- drop Patch3 its not compatible with the new Openbox version

* Mon Aug 12 2013 ghostbunny <ghostbunny at gmx dot de> 2.0.4-1pclos2013
- 2.0.4
- removed german po file from source, the tarball has now it's own
- rediff patch1

* Mon Aug 29 2011 Texstar <texstar at gmail.com> 2.0.3-9pclos2011
- update from svn

* Sun Oct 31 2010 Texstar <texstar at gmail.com> 2.0.3-8pclos2010
- convert source to tar.xz

* Sun Oct 24 2010 leiche <meisssw01 at aol.com> 2.0.3-7pclos2010
- add german translation
- fix german synaptic description

* Sun Oct 04 2009 Neal <nealbrks0@gmail.com> 2.0.3-6pclos2010
- gcc update

* Sun Aug 30 2009 Texstar <texstar@gmail.com> 2.0.3-5pclos2009
- fix rpm group

* Fri Jun 27 2008 KDulcimer <kdulcimer@gmail.com> 2.0.3-4tinyme2008
- Fixed location on menu
- Rebuild against Openbox 3.4.7.2-2

* Tue Apr 22 2008 KDulcimer <kdulcimer@gmail.com> 2.0.3-3tinyme2008
- Rebuild against Openbox 3.4.7.2

* Tue Apr 22 2008 KDulcimer <kdulcimer@gmail.com> 2.0.3-2tinyme2008
- Rebuild against Openbox 3.4.7.1

* Sun Mar 16 2008 Gettinther <gettinther@gmail.com> 2.0.3-1pclos_tinyme2007
- updated to 2.0.3
+ Added menu entry

* Sat Aug 11 2007 Gettinther <gettinther@gmail.com> 2.0.2-1pclos_tinyme2007
- updated to 2.0.2

* Sat Jun 16 2007 Gettinther <gettinther@gmail.com>
- updated to 2.0.1

* Tue May 01 2007 Gettinther <gettinther@gmail.com>
- First release
